develooper Front page | perl.perl5.porters | Postings from January 2001

perl.h:31: error: USE_ITHREADS and USE_5005THREADS are incompatible

From:
Richard Soderberg
Date:
January 12, 2001 02:12
Subject:
perl.h:31: error: USE_ITHREADS and USE_5005THREADS are incompatible
Message ID:
NAEKLNAAHLMBPMPNBMLEAEKPCKAA.rs@crystalflame.net
Finding dependencies for universal.o.
In file included from universal.c:3:
perl.h:31: error: USE_ITHREADS and USE_5005THREADS are incompatible: No such
file or directory

So, i discovered that I can't compile ithreads and 5005threads into the same
perl.  This is all okay and good, but maybe we can catch this before we
reach the make depend stage of Configure, and error out immediately after
the threads questions?  I'm unsure of a patch; haven't worked with Configure
before.

R.




nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About